/* MailDialog.c generated by valac 0.40.4, the Vala compiler
 * generated from MailDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2016 elementary LLC. (https://elementary.io)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gsignond.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>


#define ONLINE_ACCOUNTS_TYPE_DIALOG (online_accounts_dialog_get_type ())
#define ONLINE_ACCOUNTS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog))
#define ONLINE_ACCOUNTS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))
#define ONLINE_ACCOUNTS_IS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_IS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))

typedef struct _OnlineAccountsDialog OnlineAccountsDialog;
typedef struct _OnlineAccountsDialogClass OnlineAccountsDialogClass;
typedef struct _OnlineAccountsDialogPrivate OnlineAccountsDialogPrivate;

#define ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG (online_accounts_mail_dialog_get_type ())
#define ONLINE_ACCOUNTS_MAIL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialog))
#define ONLINE_ACCOUNTS_MAIL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogClass))
#define ONLINE_ACCOUNTS_IS_MAIL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG))
#define ONLINE_ACCOUNTS_IS_MAIL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG))
#define ONLINE_ACCOUNTS_MAIL_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogClass))

typedef struct _OnlineAccountsMailDialog OnlineAccountsMailDialog;
typedef struct _OnlineAccountsMailDialogClass OnlineAccountsMailDialogClass;
typedef struct _OnlineAccountsMailDialogPrivate OnlineAccountsMailDialogPrivate;
enum  {
	ONLINE_ACCOUNTS_MAIL_DIALOG_0_PROPERTY,
	ONLINE_ACCOUNTS_MAIL_DIALOG_NUM_PROPERTIES
};
static GParamSpec* online_accounts_mail_dialog_properties[ONLINE_ACCOUNTS_MAIL_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))

struct _OnlineAccountsDialog {
	GtkGrid parent_instance;
	OnlineAccountsDialogPrivate * priv;
	GHashTable* parameters;
	gchar* request_id;
	GSignondSignonuiError error_code;
};

struct _OnlineAccountsDialogClass {
	GtkGridClass parent_class;
	GHashTable* (*get_reply) (OnlineAccountsDialog* self);
	gboolean (*set_parameters) (OnlineAccountsDialog* self, GHashTable* params);
	gboolean (*refresh_captcha) (OnlineAccountsDialog* self, const gchar* uri);
};

struct _OnlineAccountsMailDialog {
	OnlineAccountsDialog parent_instance;
	OnlineAccountsMailDialogPrivate * priv;
};

struct _OnlineAccountsMailDialogClass {
	OnlineAccountsDialogClass parent_class;
};

struct _OnlineAccountsMailDialogPrivate {
	GtkButton* cancel_button;
	GtkButton* save_button;
	GtkEntry* imap_username_entry;
	GtkEntry* imap_password_entry;
	GtkEntry* imap_server_entry;
	GtkSpinButton* imap_port_spin;
	GtkComboBoxText* imap_encryption_combobox;
	GtkEntry* smtp_username_entry;
	GtkEntry* smtp_password_entry;
	GtkCheckButton* no_credentials;
	GtkEntry* smtp_server_entry;
	GtkSpinButton* smtp_port_spin;
	GtkComboBoxText* smtp_encryption_combobox;
	GtkCheckButton* use_imap_credentials;
	gboolean imap_modified_by_user;
	gboolean imap_port_modified_by_user;
	gboolean smtp_modified_by_user;
	gboolean smtp_port_modified_by_user;
};

struct _Block8Data {
	int _ref_count_;
	OnlineAccountsMailDialog* self;
	GtkGrid* smtp_credentials;
};


static gpointer online_accounts_mail_dialog_parent_class = NULL;

GType online_accounts_dialog_get_type (void) G_GNUC_CONST;
GType online_accounts_mail_dialog_get_type (void) G_GNUC_CONST;
#define ONLINE_ACCOUNTS_MAIL_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogPrivate))
OnlineAccountsMailDialog* online_accounts_mail_dialog_new (GHashTable* params);
OnlineAccountsMailDialog* online_accounts_mail_dialog_construct (GType object_type,
                                                                 GHashTable* params);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
OnlineAccountsDialog* online_accounts_dialog_construct (GType object_type,
                                                        GHashTable* parameter);
gboolean online_accounts_dialog_set_parameters (OnlineAccountsDialog* self,
                                                GHashTable* params);
static void __lambda21_ (Block8Data* _data8_);
static void online_accounts_mail_dialog_reset_ok (OnlineAccountsMailDialog* self);
static void ___lambda21__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda22_ (OnlineAccountsMailDialog* self);
static void ___lambda22__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda23_ (OnlineAccountsMailDialog* self);
static void ___lambda23__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda24_ (OnlineAccountsMailDialog* self);
static void ___lambda24__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda25_ (OnlineAccountsMailDialog* self);
static void ___lambda25__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda26_ (OnlineAccountsMailDialog* self);
static void ___lambda26__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda27_ (OnlineAccountsMailDialog* self);
static void ___lambda27__gtk_combo_box_changed (GtkComboBox* _sender,
                                         gpointer self);
static void __lambda28_ (OnlineAccountsMailDialog* self);
static void ___lambda28__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda29_ (OnlineAccountsMailDialog* self);
static void ___lambda29__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda30_ (OnlineAccountsMailDialog* self);
static void ___lambda30__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda31_ (OnlineAccountsMailDialog* self);
static void ___lambda31__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda32_ (OnlineAccountsMailDialog* self);
static void ___lambda32__gtk_combo_box_changed (GtkComboBox* _sender,
                                         gpointer self);
static void __lambda33_ (OnlineAccountsMailDialog* self);
static void ___lambda33__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void __lambda34_ (OnlineAccountsMailDialog* self);
static void ___lambda34__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static gboolean online_accounts_mail_dialog_real_refresh_captcha (OnlineAccountsDialog* base,
                                                           const gchar* uri);
static gboolean online_accounts_mail_dialog_real_set_parameters (OnlineAccountsDialog* base,
                                                          GHashTable* params);
static gboolean online_accounts_mail_dialog_validate_params (OnlineAccountsMailDialog* self,
                                                      GHashTable* params);
static GHashTable* online_accounts_mail_dialog_real_get_reply (OnlineAccountsDialog* base);
GHashTable* online_accounts_dialog_get_reply (OnlineAccountsDialog* self);
static void online_accounts_mail_dialog_finalize (GObject * obj);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static Block8Data*
block8_data_ref (Block8Data* _data8_)
{
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	return _data8_;
#line 216 "MailDialog.c"
}


static void
block8_data_unref (void * _userdata_)
{
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 227 "MailDialog.c"
		OnlineAccountsMailDialog* self;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		self = _data8_->self;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_g_object_unref0 (_data8_->smtp_credentials);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_g_object_unref0 (self);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		g_slice_free (Block8Data, _data8_);
#line 237 "MailDialog.c"
	}
}


static void
__lambda21_ (Block8Data* _data8_)
{
	OnlineAccountsMailDialog* self;
	gboolean _tmp0_ = FALSE;
	GtkCheckButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	GtkCheckButton* _tmp7_;
	GtkCheckButton* _tmp8_;
	gboolean _tmp9_;
	gboolean _tmp10_;
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self = _data8_->self;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp1_ = self->priv->no_credentials;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp3_ = _tmp2_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (!_tmp3_) {
#line 264 "MailDialog.c"
		GtkCheckButton* _tmp4_;
		gboolean _tmp5_;
		gboolean _tmp6_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp4_ = self->priv->use_imap_credentials;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp5_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp4_);
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp6_ = _tmp5_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp0_ = !_tmp6_;
#line 276 "MailDialog.c"
	} else {
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp0_ = FALSE;
#line 280 "MailDialog.c"
	}
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _data8_->smtp_credentials, _tmp0_);
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp7_ = self->priv->use_imap_credentials;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp8_ = self->priv->no_credentials;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp9_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp8_);
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp10_ = _tmp9_;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, !_tmp10_);
#line 199 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 296 "MailDialog.c"
}


static void
___lambda21__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda21_ (self);
#line 307 "MailDialog.c"
}


static void
__lambda22_ (OnlineAccountsMailDialog* self)
{
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 316 "MailDialog.c"
}


static void
___lambda22__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda22_ ((OnlineAccountsMailDialog*) self);
#line 327 "MailDialog.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1417 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1417 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 347 "MailDialog.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1248 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 372 "MailDialog.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 395 "MailDialog.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 399 "MailDialog.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 405 "MailDialog.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 409 "MailDialog.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 413 "MailDialog.c"
		gchar* _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 421 "MailDialog.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 449 "MailDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 458 "MailDialog.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 472 "MailDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 483 "MailDialog.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 497 "MailDialog.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1429 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 511 "MailDialog.c"
	}
	__finally4:
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 522 "MailDialog.c"
	}
}


static void
__lambda23_ (OnlineAccountsMailDialog* self)
{
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_username_entry;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (string_contains (_tmp2_, "@")) {
#line 541 "MailDialog.c"
		gchar* domain = NULL;
		GtkEntry* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
		gchar** _tmp8_;
		gint _tmp8__length1;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		const gchar* _tmp14_;
		gint _tmp15_;
		gint _tmp16_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp3_ = self->priv->imap_username_entry;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp4_ = gtk_entry_get_text (_tmp3_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp5_ = _tmp4_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "@", 2);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp8_ = _tmp7_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp8__length1 = _vala_array_length (_tmp6_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp9_ = _tmp8_[1];
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp10_ = string_strip (_tmp9_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp11_ = _tmp10_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp12_ = string_replace (_tmp11_, "@", "");
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp13_ = _tmp12_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_g_free0 (_tmp11_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp8_ = (_vala_array_free (_tmp8_, _tmp8__length1, (GDestroyNotify) g_free), NULL);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		domain = _tmp13_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp14_ = domain;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp15_ = strlen (_tmp14_);
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp16_ = _tmp15_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		if (_tmp16_ > 0) {
#line 594 "MailDialog.c"
			gboolean _tmp17_;
			gboolean _tmp22_;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp17_ = self->priv->imap_modified_by_user;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			if (!_tmp17_) {
#line 601 "MailDialog.c"
				GtkEntry* _tmp18_;
				const gchar* _tmp19_;
				gchar* _tmp20_;
				gchar* _tmp21_;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp18_ = self->priv->imap_server_entry;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp19_ = domain;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp20_ = g_strconcat ("imap.", _tmp19_, NULL);
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp21_ = _tmp20_;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_entry_set_text (_tmp18_, _tmp21_);
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_g_free0 (_tmp21_);
#line 618 "MailDialog.c"
			}
#line 213 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp22_ = self->priv->smtp_modified_by_user;
#line 213 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			if (!_tmp22_) {
#line 624 "MailDialog.c"
				GtkEntry* _tmp23_;
				const gchar* _tmp24_;
				gchar* _tmp25_;
				gchar* _tmp26_;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp23_ = self->priv->smtp_server_entry;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp24_ = domain;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp25_ = g_strconcat ("smtp.", _tmp24_, NULL);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp26_ = _tmp25_;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_entry_set_text (_tmp23_, _tmp26_);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_g_free0 (_tmp26_);
#line 641 "MailDialog.c"
			}
		}
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_g_free0 (domain);
#line 646 "MailDialog.c"
	}
#line 219 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 650 "MailDialog.c"
}


static void
___lambda23__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda23_ ((OnlineAccountsMailDialog*) self);
#line 661 "MailDialog.c"
}


static void
__lambda24_ (OnlineAccountsMailDialog* self)
{
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 670 "MailDialog.c"
}


static void
___lambda24__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda24_ ((OnlineAccountsMailDialog*) self);
#line 681 "MailDialog.c"
}


static void
__lambda25_ (OnlineAccountsMailDialog* self)
{
	GtkEntry* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_server_entry;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		self->priv->imap_modified_by_user = TRUE;
#line 701 "MailDialog.c"
	}
#line 229 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 705 "MailDialog.c"
}


static void
___lambda25__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda25_ ((OnlineAccountsMailDialog*) self);
#line 716 "MailDialog.c"
}


static void
__lambda26_ (OnlineAccountsMailDialog* self)
{
	GtkSpinButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_port_spin;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 234 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		self->priv->imap_port_modified_by_user = TRUE;
#line 736 "MailDialog.c"
	}
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 740 "MailDialog.c"
}


static void
___lambda26__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda26_ ((OnlineAccountsMailDialog*) self);
#line 751 "MailDialog.c"
}


static void
__lambda27_ (OnlineAccountsMailDialog* self)
{
	gboolean _tmp0_;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_port_modified_by_user;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (!_tmp0_) {
#line 763 "MailDialog.c"
		GtkComboBoxText* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp1_ = self->priv->imap_encryption_combobox;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp2_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp1_);
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp3_ = _tmp2_;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		switch (_tmp3_) {
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			case 1:
#line 777 "MailDialog.c"
			{
				GtkSpinButton* _tmp4_;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp4_ = self->priv->imap_port_spin;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp4_, (gdouble) 993);
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				break;
#line 786 "MailDialog.c"
			}
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			case 2:
#line 790 "MailDialog.c"
			{
				GtkSpinButton* _tmp5_;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp5_ = self->priv->imap_port_spin;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp5_, (gdouble) 143);
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				break;
#line 799 "MailDialog.c"
			}
			default:
			{
				GtkSpinButton* _tmp6_;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp6_ = self->priv->imap_port_spin;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp6_, (gdouble) 143);
#line 251 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				break;
#line 810 "MailDialog.c"
			}
		}
	}
}


static void
___lambda27__gtk_combo_box_changed (GtkComboBox* _sender,
                                    gpointer self)
{
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda27_ ((OnlineAccountsMailDialog*) self);
#line 823 "MailDialog.c"
}


static void
__lambda28_ (OnlineAccountsMailDialog* self)
{
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 832 "MailDialog.c"
}


static void
___lambda28__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda28_ ((OnlineAccountsMailDialog*) self);
#line 843 "MailDialog.c"
}


static void
__lambda29_ (OnlineAccountsMailDialog* self)
{
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 852 "MailDialog.c"
}


static void
___lambda29__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda29_ ((OnlineAccountsMailDialog*) self);
#line 863 "MailDialog.c"
}


static void
__lambda30_ (OnlineAccountsMailDialog* self)
{
	GtkEntry* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_server_entry;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 262 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		self->priv->smtp_modified_by_user = TRUE;
#line 883 "MailDialog.c"
	}
#line 265 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 887 "MailDialog.c"
}


static void
___lambda30__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda30_ ((OnlineAccountsMailDialog*) self);
#line 898 "MailDialog.c"
}


static void
__lambda31_ (OnlineAccountsMailDialog* self)
{
	GtkSpinButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_port_spin;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 270 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		self->priv->smtp_port_modified_by_user = TRUE;
#line 918 "MailDialog.c"
	}
#line 273 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 922 "MailDialog.c"
}


static void
___lambda31__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda31_ ((OnlineAccountsMailDialog*) self);
#line 933 "MailDialog.c"
}


static void
__lambda32_ (OnlineAccountsMailDialog* self)
{
	gboolean _tmp0_;
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_port_modified_by_user;
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (!_tmp0_) {
#line 945 "MailDialog.c"
		GtkComboBoxText* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp1_ = self->priv->smtp_encryption_combobox;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp2_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp1_);
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp3_ = _tmp2_;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		switch (_tmp3_) {
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			case 1:
#line 959 "MailDialog.c"
			{
				GtkSpinButton* _tmp4_;
#line 280 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp4_ = self->priv->smtp_port_spin;
#line 280 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp4_, (gdouble) 465);
#line 281 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				break;
#line 968 "MailDialog.c"
			}
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			case 2:
#line 972 "MailDialog.c"
			{
				GtkSpinButton* _tmp5_;
#line 283 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp5_ = self->priv->smtp_port_spin;
#line 283 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp5_, (gdouble) 587);
#line 284 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				break;
#line 981 "MailDialog.c"
			}
			default:
			{
				GtkSpinButton* _tmp6_;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				_tmp6_ = self->priv->smtp_port_spin;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp6_, (gdouble) 25);
#line 287 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
				break;
#line 992 "MailDialog.c"
			}
		}
	}
}


static void
___lambda32__gtk_combo_box_changed (GtkComboBox* _sender,
                                    gpointer self)
{
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda32_ ((OnlineAccountsMailDialog*) self);
#line 1005 "MailDialog.c"
}


static void
__lambda33_ (OnlineAccountsMailDialog* self)
{
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 1014 "MailDialog.c"
}


static void
___lambda33__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda33_ ((OnlineAccountsMailDialog*) self);
#line 1024 "MailDialog.c"
}


static void
__lambda34_ (OnlineAccountsMailDialog* self)
{
#line 294 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_CANCELED;
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 296 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 1037 "MailDialog.c"
}


static void
___lambda34__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	__lambda34_ ((OnlineAccountsMailDialog*) self);
#line 1047 "MailDialog.c"
}


OnlineAccountsMailDialog*
online_accounts_mail_dialog_construct (GType object_type,
                                       GHashTable* params)
{
	OnlineAccountsMailDialog * self = NULL;
	Block8Data* _data8_;
	GtkGrid* main_grid = NULL;
	GtkGrid* _tmp0_;
	GtkStyleContext* _tmp1_;
	GtkLabel* provider_label = NULL;
	GtkLabel* _tmp2_;
	GtkStyleContext* _tmp3_;
	GtkLabel* imap_label = NULL;
	GtkLabel* _tmp4_;
	GtkStyleContext* _tmp5_;
	GtkEntry* _tmp6_;
	GtkEntry* _tmp7_;
	GtkEntry* _tmp8_;
	GtkEntry* _tmp9_;
	GtkEntry* _tmp10_;
	GtkEntry* _tmp11_;
	GtkEntry* _tmp12_;
	GtkGrid* imap_credentials = NULL;
	GtkGrid* _tmp13_;
	GtkStyleContext* _tmp14_;
	GtkEntry* _tmp15_;
	GtkEntry* _tmp16_;
	GtkEntry* _tmp17_;
	GtkEntry* _tmp18_;
	GtkSpinButton* _tmp19_;
	GtkSpinButton* _tmp20_;
	GtkGrid* imap_settings_grid = NULL;
	GtkGrid* _tmp21_;
	GtkStyleContext* _tmp22_;
	GtkEntry* _tmp23_;
	GtkSpinButton* _tmp24_;
	GtkLabel* imap_encryption_label = NULL;
	GtkLabel* _tmp25_;
	GtkComboBoxText* _tmp26_;
	GtkComboBoxText* _tmp27_;
	GtkComboBoxText* _tmp28_;
	GtkComboBoxText* _tmp29_;
	GtkComboBoxText* _tmp30_;
	GtkComboBoxText* _tmp31_;
	GtkGrid* imap_encryption_grid = NULL;
	GtkGrid* _tmp32_;
	GtkComboBoxText* _tmp33_;
	GtkLabel* smtp_label = NULL;
	GtkLabel* _tmp34_;
	GtkStyleContext* _tmp35_;
	GtkEntry* _tmp36_;
	GtkEntry* _tmp37_;
	GtkEntry* _tmp38_;
	GtkEntry* _tmp39_;
	GtkEntry* _tmp40_;
	GtkEntry* _tmp41_;
	GtkEntry* _tmp42_;
	GtkGrid* _tmp43_;
	GtkStyleContext* _tmp44_;
	GtkEntry* _tmp45_;
	GtkEntry* _tmp46_;
	GtkEntry* _tmp47_;
	GtkEntry* _tmp48_;
	GtkSpinButton* _tmp49_;
	GtkSpinButton* _tmp50_;
	GtkGrid* smtp_settings_grid = NULL;
	GtkGrid* _tmp51_;
	GtkStyleContext* _tmp52_;
	GtkEntry* _tmp53_;
	GtkSpinButton* _tmp54_;
	GtkCheckButton* _tmp55_;
	GtkCheckButton* _tmp56_;
	GtkCheckButton* _tmp57_;
	GtkCheckButton* _tmp58_;
	GtkLabel* smtp_encryption_label = NULL;
	GtkLabel* _tmp59_;
	GtkComboBoxText* _tmp60_;
	GtkComboBoxText* _tmp61_;
	GtkComboBoxText* _tmp62_;
	GtkComboBoxText* _tmp63_;
	GtkComboBoxText* _tmp64_;
	GtkComboBoxText* _tmp65_;
	GtkGrid* smtp_encryption_grid = NULL;
	GtkGrid* _tmp66_;
	GtkComboBoxText* _tmp67_;
	GtkButton* _tmp68_;
	GtkButton* _tmp69_;
	GtkButton* _tmp70_;
	GtkButton* _tmp71_;
	GtkStyleContext* _tmp72_;
	GtkButton* _tmp73_;
	GtkButton* _tmp74_;
	GtkGrid* save_box = NULL;
	GtkGrid* _tmp75_;
	GtkButton* _tmp76_;
	GtkButton* _tmp77_;
	GtkGrid* entry_grid = NULL;
	GtkGrid* _tmp78_;
	GtkCheckButton* _tmp79_;
	GtkCheckButton* _tmp80_;
	GtkScrolledWindow* scrolled = NULL;
	GtkScrolledWindow* _tmp81_;
	GtkCheckButton* _tmp82_;
	GtkCheckButton* _tmp83_;
	GtkEntry* _tmp84_;
	GtkEntry* _tmp85_;
	GtkEntry* _tmp86_;
	GtkSpinButton* _tmp87_;
	GtkComboBoxText* _tmp88_;
	GtkEntry* _tmp89_;
	GtkEntry* _tmp90_;
	GtkEntry* _tmp91_;
	GtkSpinButton* _tmp92_;
	GtkComboBoxText* _tmp93_;
	GtkButton* _tmp94_;
	GtkButton* _tmp95_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, NULL);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_data8_->_ref_count_ = 1;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) online_accounts_dialog_construct (object_type, params);
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_data8_->self = g_object_ref (self);
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	main_grid = _tmp0_;
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_set ((GtkWidget*) main_grid, "margin", 12, NULL);
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) main_grid, GTK_ALIGN_CENTER);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) main_grid, GTK_ALIGN_CENTER);
#line 53 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (main_grid, 12);
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_grid_set_row_spacing (main_grid, 6);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) main_grid, GTK_ORIENTATION_VERTICAL);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp1_ = gtk_widget_get_style_context ((GtkWidget*) main_grid);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp1_, "login");
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new (_ ("Mail Account"));
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	provider_label = _tmp2_;
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp3_ = gtk_widget_get_style_context ((GtkWidget*) provider_label);
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp3_, "h1");
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) provider_label, 24);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp4_ = (GtkLabel*) gtk_label_new ("IMAP");
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	imap_label = _tmp4_;
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp5_ = gtk_widget_get_style_context ((GtkWidget*) imap_label);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp5_, "h4");
#line 64 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) imap_label, GTK_ALIGN_START);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp6_ = (GtkEntry*) gtk_entry_new ();
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp6_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->imap_username_entry = _tmp6_;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp7_ = self->priv->imap_username_entry;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp7_, _ ("Email"));
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp8_ = self->priv->imap_username_entry;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp8_, TRUE);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp9_ = (GtkEntry*) gtk_entry_new ();
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_password_entry);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->imap_password_entry = _tmp9_;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp10_ = self->priv->imap_password_entry;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp10_, _ ("Password"));
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp11_ = self->priv->imap_password_entry;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_visibility (_tmp11_, FALSE);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp12_ = self->priv->imap_password_entry;
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_input_purpose (_tmp12_, GTK_INPUT_PURPOSE_PASSWORD);
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp13_ = (GtkGrid*) gtk_grid_new ();
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp13_);
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	imap_credentials = _tmp13_;
#line 76 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) imap_credentials, GTK_ORIENTATION_VERTICAL);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp14_ = gtk_widget_get_style_context ((GtkWidget*) imap_credentials);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp14_, GTK_STYLE_CLASS_LINKED);
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp15_ = self->priv->imap_username_entry;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_credentials, (GtkWidget*) _tmp15_);
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp16_ = self->priv->imap_password_entry;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_credentials, (GtkWidget*) _tmp16_);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp17_ = (GtkEntry*) gtk_entry_new ();
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp17_);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->imap_server_entry = _tmp17_;
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp18_ = self->priv->imap_server_entry;
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp18_, _ ("Server"));
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp19_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp19_);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->imap_port_spin = _tmp19_;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp20_ = self->priv->imap_port_spin;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_spin_button_set_value (_tmp20_, (gdouble) 993);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp21_ = (GtkGrid*) gtk_grid_new ();
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp21_);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	imap_settings_grid = _tmp21_;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp22_ = gtk_widget_get_style_context ((GtkWidget*) imap_settings_grid);
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp22_, GTK_STYLE_CLASS_LINKED);
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp23_ = self->priv->imap_server_entry;
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_settings_grid, (GtkWidget*) _tmp23_);
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp24_ = self->priv->imap_port_spin;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_settings_grid, (GtkWidget*) _tmp24_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp25_ = (GtkLabel*) gtk_label_new (_ ("Encryption:"));
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp25_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	imap_encryption_label = _tmp25_;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp26_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp26_);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->imap_encryption_combobox = _tmp26_;
#line 95 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp27_ = self->priv->imap_encryption_combobox;
#line 95 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp27_, TRUE);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp28_ = self->priv->imap_encryption_combobox;
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp28_, "None", _ ("None"));
#line 97 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp29_ = self->priv->imap_encryption_combobox;
#line 97 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp29_, "SSL/TLS", "SSL/TLS");
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp30_ = self->priv->imap_encryption_combobox;
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp30_, "STARTTLS", "STARTTLS");
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp31_ = self->priv->imap_encryption_combobox;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp31_, 1);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp32_ = (GtkGrid*) gtk_grid_new ();
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp32_);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	imap_encryption_grid = _tmp32_;
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (imap_encryption_grid, 6);
#line 103 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_encryption_grid, (GtkWidget*) imap_encryption_label);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp33_ = self->priv->imap_encryption_combobox;
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_encryption_grid, (GtkWidget*) _tmp33_);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp34_ = (GtkLabel*) gtk_label_new ("SMTP");
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp34_);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	smtp_label = _tmp34_;
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp35_ = gtk_widget_get_style_context ((GtkWidget*) smtp_label);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp35_, "h4");
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) smtp_label, GTK_ALIGN_START);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp36_ = (GtkEntry*) gtk_entry_new ();
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp36_);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->smtp_username_entry = _tmp36_;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp37_ = self->priv->smtp_username_entry;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp37_, _ ("Email"));
#line 112 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp38_ = self->priv->smtp_username_entry;
#line 112 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp38_, TRUE);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp39_ = (GtkEntry*) gtk_entry_new ();
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp39_);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->smtp_password_entry = _tmp39_;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp40_ = self->priv->smtp_password_entry;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp40_, _ ("Password"));
#line 116 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp41_ = self->priv->smtp_password_entry;
#line 116 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_visibility (_tmp41_, FALSE);
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp42_ = self->priv->smtp_password_entry;
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_input_purpose (_tmp42_, GTK_INPUT_PURPOSE_PASSWORD);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp43_ = (GtkGrid*) gtk_grid_new ();
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp43_);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_data8_->smtp_credentials = _tmp43_;
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _data8_->smtp_credentials, GTK_ORIENTATION_VERTICAL);
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp44_ = gtk_widget_get_style_context ((GtkWidget*) _data8_->smtp_credentials);
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp44_, GTK_STYLE_CLASS_LINKED);
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp45_ = self->priv->smtp_username_entry;
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) _data8_->smtp_credentials, (GtkWidget*) _tmp45_);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp46_ = self->priv->smtp_password_entry;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) _data8_->smtp_credentials, (GtkWidget*) _tmp46_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp47_ = (GtkEntry*) gtk_entry_new ();
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp47_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->smtp_server_entry = _tmp47_;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp48_ = self->priv->smtp_server_entry;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp48_, _ ("Server"));
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp49_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp49_);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->smtp_port_spin = _tmp49_;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp50_ = self->priv->smtp_port_spin;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_spin_button_set_value (_tmp50_, (gdouble) 587);
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp51_ = (GtkGrid*) gtk_grid_new ();
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp51_);
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	smtp_settings_grid = _tmp51_;
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp52_ = gtk_widget_get_style_context ((GtkWidget*) smtp_settings_grid);
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp52_, GTK_STYLE_CLASS_LINKED);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp53_ = self->priv->smtp_server_entry;
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_settings_grid, (GtkWidget*) _tmp53_);
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp54_ = self->priv->smtp_port_spin;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_settings_grid, (GtkWidget*) _tmp54_);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp55_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Use IMAP Credentials"));
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp55_);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->use_imap_credentials = _tmp55_;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp56_ = self->priv->use_imap_credentials;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp56_, "active", (GObject*) _data8_->smtp_credentials, "sensitive", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp57_ = self->priv->use_imap_credentials;
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp57_, TRUE);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp58_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("No authentication required"));
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp58_);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->no_credentials);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->no_credentials = _tmp58_;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp59_ = (GtkLabel*) gtk_label_new (_ ("Encryption:"));
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp59_);
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	smtp_encryption_label = _tmp59_;
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp60_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp60_);
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->smtp_encryption_combobox = _tmp60_;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp61_ = self->priv->smtp_encryption_combobox;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp61_, TRUE);
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp62_ = self->priv->smtp_encryption_combobox;
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp62_, "None", _ ("None"));
#line 147 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp63_ = self->priv->smtp_encryption_combobox;
#line 147 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp63_, "SSL/TLS", "SSL/TLS");
#line 148 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp64_ = self->priv->smtp_encryption_combobox;
#line 148 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp64_, "STARTTLS", "STARTTLS");
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp65_ = self->priv->smtp_encryption_combobox;
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp65_, 2);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp66_ = (GtkGrid*) gtk_grid_new ();
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp66_);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	smtp_encryption_grid = _tmp66_;
#line 152 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (smtp_encryption_grid, 6);
#line 153 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_encryption_grid, (GtkWidget*) smtp_encryption_label);
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp67_ = self->priv->smtp_encryption_combobox;
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_encryption_grid, (GtkWidget*) _tmp67_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp68_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp68_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->cancel_button = _tmp68_;
#line 157 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp69_ = self->priv->cancel_button;
#line 157 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp69_, TRUE);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp70_ = (GtkButton*) gtk_button_new_with_label (_ ("Log In"));
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp70_);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->save_button = _tmp70_;
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp71_ = self->priv->save_button;
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp72_ = gtk_widget_get_style_context ((GtkWidget*) _tmp71_);
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp72_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp73_ = self->priv->save_button;
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp73_, TRUE);
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp74_ = self->priv->save_button;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp74_, FALSE);
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp75_ = (GtkGrid*) gtk_grid_new ();
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp75_);
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	save_box = _tmp75_;
#line 165 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) save_box, 12);
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (save_box, 6);
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp76_ = self->priv->cancel_button;
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) save_box, (GtkWidget*) _tmp76_);
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp77_ = self->priv->save_button;
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) save_box, (GtkWidget*) _tmp77_);
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp78_ = (GtkGrid*) gtk_grid_new ();
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp78_);
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	entry_grid = _tmp78_;
#line 171 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_set ((GtkWidget*) entry_grid, "expand", TRUE, NULL);
#line 172 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_grid_set_row_spacing (entry_grid, 6);
#line 173 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) entry_grid, GTK_ORIENTATION_VERTICAL);
#line 174 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_label);
#line 175 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_credentials);
#line 176 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_settings_grid);
#line 177 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_encryption_grid);
#line 179 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_label);
#line 180 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp79_ = self->priv->no_credentials;
#line 180 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _tmp79_);
#line 181 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _data8_->smtp_credentials);
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp80_ = self->priv->use_imap_credentials;
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _tmp80_);
#line 183 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_settings_grid);
#line 184 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_encryption_grid);
#line 186 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) provider_label);
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) entry_grid);
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) save_box);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp81_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp81_);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	scrolled = _tmp81_;
#line 191 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) scrolled, (GtkWidget*) main_grid);
#line 192 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) scrolled);
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_dialog_set_parameters ((OnlineAccountsDialog*) self, params);
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp82_ = self->priv->no_credentials;
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_data ((GObject*) _tmp82_, "notify::active", (GCallback) ___lambda21__g_object_notify, block8_data_ref (_data8_), (GClosureNotify) block8_data_unref, 0);
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp83_ = self->priv->use_imap_credentials;
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp83_, "notify::active", (GCallback) ___lambda22__g_object_notify, self, 0);
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp84_ = self->priv->imap_username_entry;
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp84_, "notify::text", (GCallback) ___lambda23__g_object_notify, self, 0);
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp85_ = self->priv->imap_password_entry;
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp85_, "notify::text", (GCallback) ___lambda24__g_object_notify, self, 0);
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp86_ = self->priv->imap_server_entry;
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp86_, "notify::text", (GCallback) ___lambda25__g_object_notify, self, 0);
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp87_ = self->priv->imap_port_spin;
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp87_, "notify::text", (GCallback) ___lambda26__g_object_notify, self, 0);
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp88_ = self->priv->imap_encryption_combobox;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp88_, "changed", (GCallback) ___lambda27__gtk_combo_box_changed, self, 0);
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp89_ = self->priv->smtp_username_entry;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp89_, "notify::text", (GCallback) ___lambda28__g_object_notify, self, 0);
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp90_ = self->priv->smtp_password_entry;
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp90_, "notify::text", (GCallback) ___lambda29__g_object_notify, self, 0);
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp91_ = self->priv->smtp_server_entry;
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp91_, "notify::text", (GCallback) ___lambda30__g_object_notify, self, 0);
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp92_ = self->priv->smtp_port_spin;
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp92_, "notify::text", (GCallback) ___lambda31__g_object_notify, self, 0);
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp93_ = self->priv->smtp_encryption_combobox;
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp93_, "changed", (GCallback) ___lambda32__gtk_combo_box_changed, self, 0);
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp94_ = self->priv->save_button;
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object (_tmp94_, "clicked", (GCallback) ___lambda33__gtk_button_clicked, self, 0);
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp95_ = self->priv->cancel_button;
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_signal_connect_object (_tmp95_, "clicked", (GCallback) ___lambda34__gtk_button_clicked, self, 0);
#line 299 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (scrolled);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (entry_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (save_box);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_encryption_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_encryption_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_settings_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_encryption_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_encryption_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_settings_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_credentials);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (provider_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (main_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	block8_data_unref (_data8_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_data8_ = NULL;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	return self;
#line 1749 "MailDialog.c"
}


OnlineAccountsMailDialog*
online_accounts_mail_dialog_new (GHashTable* params)
{
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	return online_accounts_mail_dialog_construct (ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, params);
#line 1758 "MailDialog.c"
}


static gboolean
online_accounts_mail_dialog_real_refresh_captcha (OnlineAccountsDialog* base,
                                                  const gchar* uri)
{
	OnlineAccountsMailDialog * self;
	gboolean result = FALSE;
#line 302 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 302 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	return result;
#line 1776 "MailDialog.c"
}


static gboolean
online_accounts_mail_dialog_real_set_parameters (OnlineAccountsDialog* base,
                                                 GHashTable* params)
{
	OnlineAccountsMailDialog * self;
	gboolean result = FALSE;
	GVariant* temp_string = NULL;
	gconstpointer _tmp0_;
	GVariant* _tmp1_;
	gconstpointer _tmp5_;
	GVariant* _tmp6_;
	gconstpointer _tmp10_;
	GVariant* _tmp11_;
	gconstpointer _tmp15_;
	GVariant* _tmp16_;
	GtkEntry* _tmp20_;
	const gchar* _tmp21_;
	const gchar* _tmp22_;
	gchar* _tmp23_;
	gchar* _tmp24_;
	gboolean _tmp25_;
	gconstpointer _tmp40_;
	GVariant* _tmp41_;
	gconstpointer _tmp45_;
	GVariant* _tmp46_;
	gconstpointer _tmp50_;
	GVariant* _tmp51_;
	gconstpointer _tmp54_;
	GVariant* _tmp55_;
	gconstpointer _tmp58_;
	GVariant* _tmp59_;
	gconstpointer _tmp63_;
	GVariant* _tmp64_;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 307 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_mail_dialog_parent_class)->set_parameters (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog), params) == FALSE) {
#line 308 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		result = FALSE;
#line 308 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		return result;
#line 1823 "MailDialog.c"
	}
#line 311 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (online_accounts_mail_dialog_validate_params (self, params) == FALSE) {
#line 312 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		result = FALSE;
#line 312 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		return result;
#line 1831 "MailDialog.c"
	}
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = g_hash_table_lookup (params, "ImapUser");
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp0_;
#line 316 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp1_ = temp_string;
#line 316 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp1_ != NULL) {
#line 1841 "MailDialog.c"
		GtkEntry* _tmp2_;
		GVariant* _tmp3_;
		const gchar* _tmp4_;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp2_ = self->priv->imap_username_entry;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp3_ = temp_string;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp4_ = g_variant_get_string (_tmp3_, NULL);
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp2_, _tmp4_);
#line 1853 "MailDialog.c"
	}
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp5_ = g_hash_table_lookup (params, "ImapPassword");
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp5_;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp6_ = temp_string;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp6_ != NULL) {
#line 1863 "MailDialog.c"
		GtkEntry* _tmp7_;
		GVariant* _tmp8_;
		const gchar* _tmp9_;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp7_ = self->priv->imap_password_entry;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp8_ = temp_string;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp9_ = g_variant_get_string (_tmp8_, NULL);
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp7_, _tmp9_);
#line 1875 "MailDialog.c"
	}
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp10_ = g_hash_table_lookup (params, "SmtpUser");
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp10_;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp11_ = temp_string;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp11_ != NULL) {
#line 1885 "MailDialog.c"
		GtkEntry* _tmp12_;
		GVariant* _tmp13_;
		const gchar* _tmp14_;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp12_ = self->priv->smtp_username_entry;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp13_ = temp_string;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp14_ = g_variant_get_string (_tmp13_, NULL);
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp12_, _tmp14_);
#line 1897 "MailDialog.c"
	}
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp15_ = g_hash_table_lookup (params, "SmtpPassword");
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp15_;
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp16_ = temp_string;
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp16_ != NULL) {
#line 1907 "MailDialog.c"
		GtkEntry* _tmp17_;
		GVariant* _tmp18_;
		const gchar* _tmp19_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp17_ = self->priv->smtp_password_entry;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp18_ = temp_string;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp19_ = g_variant_get_string (_tmp18_, NULL);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp17_, _tmp19_);
#line 1919 "MailDialog.c"
	}
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp20_ = self->priv->smtp_username_entry;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp21_ = gtk_entry_get_text (_tmp20_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp22_ = _tmp21_;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp23_ = string_strip (_tmp22_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp24_ = _tmp23_;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp25_ = g_strcmp0 (_tmp24_, "") != 0;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp24_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp25_) {
#line 1937 "MailDialog.c"
		gboolean _tmp26_ = FALSE;
		GtkEntry* _tmp27_;
		const gchar* _tmp28_;
		const gchar* _tmp29_;
		GtkEntry* _tmp30_;
		const gchar* _tmp31_;
		const gchar* _tmp32_;
		GtkCheckButton* _tmp39_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp27_ = self->priv->smtp_username_entry;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp28_ = gtk_entry_get_text (_tmp27_);
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp29_ = _tmp28_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp30_ = self->priv->imap_username_entry;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp31_ = gtk_entry_get_text (_tmp30_);
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp32_ = _tmp31_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		if (g_strcmp0 (_tmp29_, _tmp32_) == 0) {
#line 1960 "MailDialog.c"
			GtkEntry* _tmp33_;
			const gchar* _tmp34_;
			const gchar* _tmp35_;
			GtkEntry* _tmp36_;
			const gchar* _tmp37_;
			const gchar* _tmp38_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp33_ = self->priv->smtp_password_entry;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp34_ = gtk_entry_get_text (_tmp33_);
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp35_ = _tmp34_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp36_ = self->priv->imap_password_entry;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp37_ = gtk_entry_get_text (_tmp36_);
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp38_ = _tmp37_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp26_ = g_strcmp0 (_tmp35_, _tmp38_) == 0;
#line 1981 "MailDialog.c"
		} else {
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp26_ = FALSE;
#line 1985 "MailDialog.c"
		}
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp39_ = self->priv->use_imap_credentials;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp39_, _tmp26_);
#line 1991 "MailDialog.c"
	}
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp40_ = g_hash_table_lookup (params, "ImapServer");
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp40_;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp41_ = temp_string;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp41_ != NULL) {
#line 2001 "MailDialog.c"
		GtkEntry* _tmp42_;
		GVariant* _tmp43_;
		const gchar* _tmp44_;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp42_ = self->priv->imap_server_entry;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp43_ = temp_string;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp44_ = g_variant_get_string (_tmp43_, NULL);
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp42_, _tmp44_);
#line 2013 "MailDialog.c"
	}
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp45_ = g_hash_table_lookup (params, "SmtpServer");
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp45_;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp46_ = temp_string;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp46_ != NULL) {
#line 2023 "MailDialog.c"
		GtkEntry* _tmp47_;
		GVariant* _tmp48_;
		const gchar* _tmp49_;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp47_ = self->priv->smtp_server_entry;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp48_ = temp_string;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp49_ = g_variant_get_string (_tmp48_, NULL);
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp47_, _tmp49_);
#line 2035 "MailDialog.c"
	}
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp50_ = g_hash_table_lookup (params, "ImapPort");
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp50_;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp51_ = temp_string;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp51_ != NULL) {
#line 2045 "MailDialog.c"
		GtkSpinButton* _tmp52_;
		GVariant* _tmp53_;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp52_ = self->priv->imap_port_spin;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp53_ = temp_string;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_spin_button_set_value (_tmp52_, (gdouble) g_variant_get_uint16 (_tmp53_));
#line 2054 "MailDialog.c"
	}
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp54_ = g_hash_table_lookup (params, "SmtpPort");
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp54_;
#line 356 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp55_ = temp_string;
#line 356 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp55_ != NULL) {
#line 2064 "MailDialog.c"
		GtkSpinButton* _tmp56_;
		GVariant* _tmp57_;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp56_ = self->priv->smtp_port_spin;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp57_ = temp_string;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_spin_button_set_value (_tmp56_, (gdouble) g_variant_get_uint16 (_tmp57_));
#line 2073 "MailDialog.c"
	}
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp58_ = g_hash_table_lookup (params, "ImapEncryption");
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp58_;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp59_ = temp_string;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp59_ != NULL) {
#line 2083 "MailDialog.c"
		GtkComboBoxText* _tmp60_;
		GVariant* _tmp61_;
		const gchar* _tmp62_;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp60_ = self->priv->imap_encryption_combobox;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp61_ = temp_string;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp62_ = g_variant_get_string (_tmp61_, NULL);
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp60_, _tmp62_);
#line 2095 "MailDialog.c"
	}
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp63_ = g_hash_table_lookup (params, "SmtpEncryption");
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp63_;
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp64_ = temp_string;
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp64_ != NULL) {
#line 2105 "MailDialog.c"
		GtkComboBoxText* _tmp65_;
		GVariant* _tmp66_;
		const gchar* _tmp67_;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp65_ = self->priv->smtp_encryption_combobox;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp66_ = temp_string;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp67_ = g_variant_get_string (_tmp66_, NULL);
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp65_, _tmp67_);
#line 2117 "MailDialog.c"
	}
#line 370 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	return result;
#line 2125 "MailDialog.c"
}


static gboolean
online_accounts_mail_dialog_validate_params (OnlineAccountsMailDialog* self,
                                             GHashTable* params)
{
	gboolean result = FALSE;
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	return result;
#line 2142 "MailDialog.c"
}


static GHashTable*
online_accounts_mail_dialog_real_get_reply (OnlineAccountsDialog* base)
{
	OnlineAccountsMailDialog * self;
	GHashTable* result = NULL;
	GHashTable* table = NULL;
	GHashTable* _tmp0_;
	GHashTable* _tmp1_;
	gchar* _tmp2_;
	GtkEntry* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	GVariant* _tmp6_;
	GHashTable* _tmp7_;
	gchar* _tmp8_;
	GtkEntry* _tmp9_;
	const gchar* _tmp10_;
	const gchar* _tmp11_;
	GVariant* _tmp12_;
	GtkCheckButton* _tmp13_;
	gboolean _tmp14_;
	gboolean _tmp15_;
	GHashTable* _tmp43_;
	gchar* _tmp44_;
	GtkEntry* _tmp45_;
	const gchar* _tmp46_;
	const gchar* _tmp47_;
	GVariant* _tmp48_;
	GHashTable* _tmp49_;
	gchar* _tmp50_;
	GtkSpinButton* _tmp51_;
	gdouble _tmp52_;
	gdouble _tmp53_;
	GVariant* _tmp54_;
	GHashTable* _tmp55_;
	gchar* _tmp56_;
	GtkComboBoxText* _tmp57_;
	const gchar* _tmp58_;
	const gchar* _tmp59_;
	GVariant* _tmp60_;
	GHashTable* _tmp61_;
	gchar* _tmp62_;
	GtkEntry* _tmp63_;
	const gchar* _tmp64_;
	const gchar* _tmp65_;
	GVariant* _tmp66_;
	GHashTable* _tmp67_;
	gchar* _tmp68_;
	GtkSpinButton* _tmp69_;
	gdouble _tmp70_;
	gdouble _tmp71_;
	GVariant* _tmp72_;
	GHashTable* _tmp73_;
	gchar* _tmp74_;
	GtkComboBoxText* _tmp75_;
	const gchar* _tmp76_;
	const gchar* _tmp77_;
	GVariant* _tmp78_;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 380 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_mail_dialog_parent_class)->get_reply (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog));
#line 380 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	table = _tmp0_;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp1_ = table;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = g_strdup ("ImapUser");
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp3_ = self->priv->imap_username_entry;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp4_ = gtk_entry_get_text (_tmp3_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp5_ = _tmp4_;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp6_ = g_variant_new_string (_tmp5_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp6_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp1_, _tmp2_, _tmp6_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp7_ = table;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp8_ = g_strdup ("ImapPassword");
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp9_ = self->priv->imap_password_entry;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp10_ = gtk_entry_get_text (_tmp9_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp11_ = _tmp10_;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp12_ = g_variant_new_string (_tmp11_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp12_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp7_, _tmp8_, _tmp12_);
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp13_ = self->priv->no_credentials;
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp14_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp13_);
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp15_ = _tmp14_;
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (!_tmp15_) {
#line 2250 "MailDialog.c"
		GtkCheckButton* _tmp16_;
		gboolean _tmp17_;
		gboolean _tmp18_;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp16_ = self->priv->use_imap_credentials;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp17_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp16_);
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp18_ = _tmp17_;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		if (_tmp18_) {
#line 2262 "MailDialog.c"
			GHashTable* _tmp19_;
			gchar* _tmp20_;
			GtkEntry* _tmp21_;
			const gchar* _tmp22_;
			const gchar* _tmp23_;
			GVariant* _tmp24_;
			GHashTable* _tmp25_;
			gchar* _tmp26_;
			GtkEntry* _tmp27_;
			const gchar* _tmp28_;
			const gchar* _tmp29_;
			GVariant* _tmp30_;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp19_ = table;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp20_ = g_strdup ("SmtpUser");
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp21_ = self->priv->imap_username_entry;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp22_ = gtk_entry_get_text (_tmp21_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp23_ = _tmp22_;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp24_ = g_variant_new_string (_tmp23_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp24_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp19_, _tmp20_, _tmp24_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp25_ = table;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp26_ = g_strdup ("SmtpPassword");
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp27_ = self->priv->imap_password_entry;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp28_ = gtk_entry_get_text (_tmp27_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp29_ = _tmp28_;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp30_ = g_variant_new_string (_tmp29_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp30_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp25_, _tmp26_, _tmp30_);
#line 2307 "MailDialog.c"
		} else {
			GHashTable* _tmp31_;
			gchar* _tmp32_;
			GtkEntry* _tmp33_;
			const gchar* _tmp34_;
			const gchar* _tmp35_;
			GVariant* _tmp36_;
			GHashTable* _tmp37_;
			gchar* _tmp38_;
			GtkEntry* _tmp39_;
			const gchar* _tmp40_;
			const gchar* _tmp41_;
			GVariant* _tmp42_;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp31_ = table;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp32_ = g_strdup ("SmtpUser");
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp33_ = self->priv->smtp_username_entry;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp34_ = gtk_entry_get_text (_tmp33_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp35_ = _tmp34_;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp36_ = g_variant_new_string (_tmp35_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp36_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp31_, _tmp32_, _tmp36_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp37_ = table;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp38_ = g_strdup ("SmtpPassword");
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp39_ = self->priv->smtp_password_entry;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp40_ = gtk_entry_get_text (_tmp39_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp41_ = _tmp40_;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			_tmp42_ = g_variant_new_string (_tmp41_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp42_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp37_, _tmp38_, _tmp42_);
#line 2353 "MailDialog.c"
		}
	}
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp43_ = table;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp44_ = g_strdup ("ImapServer");
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp45_ = self->priv->imap_server_entry;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp46_ = gtk_entry_get_text (_tmp45_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp47_ = _tmp46_;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp48_ = g_variant_new_string (_tmp47_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp48_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp43_, _tmp44_, _tmp48_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp49_ = table;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp50_ = g_strdup ("ImapPort");
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp51_ = self->priv->imap_port_spin;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp52_ = gtk_spin_button_get_value (_tmp51_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp53_ = _tmp52_;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp54_ = g_variant_new_uint16 ((guint16) _tmp53_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp54_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp49_, _tmp50_, _tmp54_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp55_ = table;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp56_ = g_strdup ("ImapSecurity");
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp57_ = self->priv->imap_encryption_combobox;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp58_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp57_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp59_ = _tmp58_;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp60_ = g_variant_new_string (_tmp59_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp60_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp55_, _tmp56_, _tmp60_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp61_ = table;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp62_ = g_strdup ("SmtpServer");
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp63_ = self->priv->smtp_server_entry;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp64_ = gtk_entry_get_text (_tmp63_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp65_ = _tmp64_;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp66_ = g_variant_new_string (_tmp65_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp66_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp61_, _tmp62_, _tmp66_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp67_ = table;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp68_ = g_strdup ("SmtpPort");
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp69_ = self->priv->smtp_port_spin;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp70_ = gtk_spin_button_get_value (_tmp69_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp71_ = _tmp70_;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp72_ = g_variant_new_uint16 ((guint16) _tmp71_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp72_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp67_, _tmp68_, _tmp72_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp73_ = table;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp74_ = g_strdup ("SmtpSecurity");
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp75_ = self->priv->smtp_encryption_combobox;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp76_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp75_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp77_ = _tmp76_;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp78_ = g_variant_new_string (_tmp77_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp78_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp73_, _tmp74_, _tmp78_);
#line 399 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	result = table;
#line 399 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	return result;
#line 2456 "MailDialog.c"
}


static void
online_accounts_mail_dialog_reset_ok (OnlineAccountsMailDialog* self)
{
	gboolean state = FALSE;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gboolean _tmp3_;
	GtkEntry* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gint _tmp9_;
	gint _tmp10_;
	gboolean _tmp11_ = FALSE;
	GtkCheckButton* _tmp12_;
	gboolean _tmp13_;
	gboolean _tmp14_;
	gboolean _tmp30_;
	GtkEntry* _tmp31_;
	const gchar* _tmp32_;
	const gchar* _tmp33_;
	gchar* _tmp34_;
	gchar* _tmp35_;
	gint _tmp36_;
	gint _tmp37_;
	gboolean _tmp38_;
	GtkEntry* _tmp39_;
	const gchar* _tmp40_;
	const gchar* _tmp41_;
	gchar* _tmp42_;
	gchar* _tmp43_;
	gint _tmp44_;
	gint _tmp45_;
	GtkButton* _tmp46_;
	gboolean _tmp47_;
#line 402 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_return_if_fail (self != NULL);
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_username_entry;
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	state = string_contains (_tmp2_, "@");
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp3_ = state;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp4_ = self->priv->imap_password_entry;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp6_ = _tmp5_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp7_ = string_strip (_tmp6_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp8_ = _tmp7_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp9_ = strlen (_tmp8_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp10_ = _tmp9_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	state = _tmp3_ & (_tmp10_ > 0);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp8_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp12_ = self->priv->no_credentials;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp13_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp12_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp14_ = _tmp13_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (!_tmp14_) {
#line 2535 "MailDialog.c"
		GtkCheckButton* _tmp15_;
		gboolean _tmp16_;
		gboolean _tmp17_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp15_ = self->priv->use_imap_credentials;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp16_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp15_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp17_ = _tmp16_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp11_ = !_tmp17_;
#line 2547 "MailDialog.c"
	} else {
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp11_ = FALSE;
#line 2551 "MailDialog.c"
	}
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	if (_tmp11_) {
#line 2555 "MailDialog.c"
		gboolean _tmp18_;
		GtkEntry* _tmp19_;
		const gchar* _tmp20_;
		const gchar* _tmp21_;
		gboolean _tmp22_;
		GtkEntry* _tmp23_;
		const gchar* _tmp24_;
		const gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		gint _tmp28_;
		gint _tmp29_;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp18_ = state;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp19_ = self->priv->smtp_username_entry;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp20_ = gtk_entry_get_text (_tmp19_);
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp21_ = _tmp20_;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		state = _tmp18_ & string_contains (_tmp21_, "@");
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp22_ = state;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp23_ = self->priv->smtp_password_entry;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp24_ = gtk_entry_get_text (_tmp23_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp25_ = _tmp24_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp26_ = string_strip (_tmp25_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp27_ = _tmp26_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp28_ = strlen (_tmp27_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_tmp29_ = _tmp28_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		state = _tmp22_ & (_tmp29_ > 0);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
		_g_free0 (_tmp27_);
#line 2598 "MailDialog.c"
	}
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp30_ = state;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp31_ = self->priv->imap_server_entry;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp32_ = gtk_entry_get_text (_tmp31_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp33_ = _tmp32_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp34_ = string_strip (_tmp33_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp35_ = _tmp34_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp36_ = strlen (_tmp35_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp37_ = _tmp36_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	state = _tmp30_ & (_tmp37_ > 0);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp35_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp38_ = state;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp39_ = self->priv->smtp_server_entry;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp40_ = gtk_entry_get_text (_tmp39_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp41_ = _tmp40_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp42_ = string_strip (_tmp41_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp43_ = _tmp42_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp44_ = strlen (_tmp43_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp45_ = _tmp44_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	state = _tmp38_ & (_tmp45_ > 0);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp43_);
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp46_ = self->priv->save_button;
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_tmp47_ = state;
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp46_, _tmp47_);
#line 2646 "MailDialog.c"
}


static void
online_accounts_mail_dialog_class_init (OnlineAccountsMailDialogClass * klass)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsMailDialogPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->refresh_captcha = (gboolean (*) (OnlineAccountsDialog *, const gchar*)) online_accounts_mail_dialog_real_refresh_captcha;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->set_parameters = (gboolean (*) (OnlineAccountsDialog *, GHashTable*)) online_accounts_mail_dialog_real_set_parameters;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->get_reply = (GHashTable* (*) (OnlineAccountsDialog *)) online_accounts_mail_dialog_real_get_reply;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_mail_dialog_finalize;
#line 2665 "MailDialog.c"
}


static void
online_accounts_mail_dialog_instance_init (OnlineAccountsMailDialog * self)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv = ONLINE_ACCOUNTS_MAIL_DIALOG_GET_PRIVATE (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->imap_modified_by_user = FALSE;
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->imap_port_modified_by_user = FALSE;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->smtp_modified_by_user = FALSE;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self->priv->smtp_port_modified_by_user = FALSE;
#line 2682 "MailDialog.c"
}


static void
online_accounts_mail_dialog_finalize (GObject * obj)
{
	OnlineAccountsMailDialog * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialog);
#line 24 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 28 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_password_entry);
#line 29 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->no_credentials);
#line 36 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 38 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/MailDialog.vala"
	G_OBJECT_CLASS (online_accounts_mail_dialog_parent_class)->finalize (obj);
#line 2722 "MailDialog.c"
}


GType
online_accounts_mail_dialog_get_type (void)
{
	static volatile gsize online_accounts_mail_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_mail_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsMailDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_mail_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsMailDialog), 0, (GInstanceInitFunc) online_accounts_mail_dialog_instance_init, NULL };
		GType online_accounts_mail_dialog_type_id;
		online_accounts_mail_dialog_type_id = g_type_register_static (ONLINE_ACCOUNTS_TYPE_DIALOG, "OnlineAccountsMailDialog", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_mail_dialog_type_id__volatile, online_accounts_mail_dialog_type_id);
	}
	return online_accounts_mail_dialog_type_id__volatile;
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



